<?php 
error_reporting(0);
ini_set(“display_errors”, 0 );
include "protege_professor.php";
include "conexao.php";

$idusuario                 = $_SESSION['id_usuario'];
$venda_idvenda             = $_POST["idvenda"];
$tipo_venda                = $_POST["tipo"];


// echo "<pre>";
// print_r($_POST);
// echo "</pre>"; 

$teste = count($_POST['antecipar']);


function retorna_idparcela($parcela) {
    include "conexao.php";
    $query="SELECT max(idparcelas) as idpar FROM parcelas 
    INNER JOIN venda ON parcelas.venda_idvenda = venda.idvenda 
    WHERE venda.idvenda = $parcela";

    $executa_query = mysqli_query($db, $query) or die("erro na query max idparcela");

    $retorno = mysqli_fetch_assoc($executa_query);
    $idparcelas = $retorno['idpar'];
   // echo "... é essa ...".$idparcelas; die();

    return $idparcelas;

}

function grava_log1($data_log,$usuario_id,$descricao_log){

    include "conexao.php";
    $query_log = "INSERT INTO log (data_log,usuario_id,descricao_log) VALUES ('$data_log','$usuario_id','$descricao_log')";
 // echo $query_log; die();

    $executa_log = mysqli_query($db, $query_log);

    return 1;
}

function nome_user1($idusuario){

    include "conexao.php";
    $query_igpm = "SELECT nome_cli FROM cliente where idcliente = '$idusuario'";      

    $executa_igpm = mysqli_query ($db, $query_igpm);                

            while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos

                $nome_cli             = $buscar_amigoc['nome_cli'];
            }
            return $nome_cli;

        } 

     

      function dados_empreendimentos1($idparcelas){
        include "conexao.php";

        $query ="SELECT * from parcelas INNER JOIN venda ON parcelas.venda_idvenda = venda.idvenda 
        INNER JOIN lote ON  venda.lote_idlote = lote.idlote
        INNER JOIN produto ON venda.produto_idproduto = produto.idproduto 
        INNER JOIN empreendimento ON produto.empreendimento_idempreendimento = empreendimento.idempreendimento 
        INNER JOIN empreendimento_cadastro ON  empreendimento.idempreendimento = empreendimento_cadastro.idempreendimento_cadastro 
        WHERE parcelas.idparcelas = '$idparcelas'";

        $query_slide = mysqli_query($db, $query); 

            while ($buscar_slide = mysqli_fetch_assoc($query_slide)) {//--While categoria

                $descricao_empreendimento          = $buscar_slide["descricao_empreendimento"];    
                $lote                              = $buscar_slide["lote"];  
                $quadra                            = $buscar_slide["quadra"];
                $idvenda                           = $buscar_slide['idvenda'];

                $dados["quadra"]                   = $quadra;
                $dados["lote"]                     = $lote ;
                $dados["descricao_empreendimento"]  = $descricao_empreendimento;   
                $dados["idvenda"]                  = $idvenda;



            }
          //echo "desc_ Emp... ".$descricao_empreendimento ."  lote... ".$lote."  Q... ".$quadra; die();
             //echo "desc... ".$dados; die();
            return $dados;

        }

        $parcelas_adicionadas = array();

        date_default_timezone_set('America/Sao_Paulo');
        $data_log = date('d-m-Y H:i:s');

        $nome_usuario = nome_user1($idusuario);
        $idparcelas = retorna_idparcela($_POST['idvenda']);

//echo "id parc ...".$idparcelas; die();

        $descricao_empreendimentos = dados_empreendimentos1($_POST['idvenda']);
            

        $lote                        = $descricao_empreendimentos["lote"];
        $quadra                      = $descricao_empreendimentos["quadra"];
        $nome_empreendimento         = $descricao_empreendimentos["descricao_empreendimento"];
          

        $extrair  = implode(",", $parcelas_adicionadas);

     //   $descricao_log .="Usuário ".$nome_usuario." vinculou as parcelas: ".$key." do lote: ".$lote." da quadra: ".$quadra." do empreendimento: ".$nome_empreendimento."<br><br>";  

function juntarParcelaVinculo($vinculo){
    include "conexao.php";
    $array = array();


    $query = "SELECT idparcelas FROM parcelas WHERE vinculo = '$vinculo'";

    $executa = mysqli_query($db, $query) or die("erro ao buscar vinculo");

     while($buscar_amigo = mysqli_fetch_assoc($executa)){

          array_push($array, $buscar_amigo['idparcelas']);


     }


    $dados = implode(",", $array);

   // echo  "recebendo de dados .: " . $dados ."<br>";

       // die();
    return $dados;

}       




function pegaValorParcela($id){
    include "conexao.php";
    $query = "SELECT valor_parcelas, desc_parcela FROM parcelas WHERE idparcelas = '$id'";
    $executa =  mysqli_query($db,$query);
    $buscar_amigo = mysqli_fetch_assoc($executa);

     $desconto = (double)$buscar_amigo['desc_parcela'];

     if($desconto == ''){

           $dado = $buscar_amigo['valor_parcelas']; 

     }else{

         $valor_parce = (double)$buscar_amigo['valor_parcelas'];
         $dado = $valor_parce  - $desconto;

     }
     
   
    return $dado;


}

$cab = "C";

if(isset($_POST["antecipar"])){
        
   

     if($teste > 1){

              
              $antecipar = $_POST["antecipar"];


            include "conexao.php";
              $cod_baixa = date('Y-m-d H:i:s');

              $cod_baixa = str_replace("-","", $cod_baixa);
              $cod_baixa = str_replace(":","", $cod_baixa);
              $cod_baixa = str_replace(" ","", $cod_baixa);


                   
              foreach ($antecipar as $key) {
                # code...

                $descricao_log .="Usuário ".$nome_usuario." vinculou a parcela: ".$key." do lote: ".$lote." da quadra: ".$quadra." do empreendimento: ".$nome_empreendimento."<br><br>";  


         }
         //echo $descricao_log; die();

          $executa_log = grava_log1($data_log,$idusuario,$descricao_log);




$pega_val_total = '';

   foreach ($antecipar as $idd ) {

             $valor_total_vinculo = pegaValorParcela($idd);
             $val_total = $valor_total_vinculo + $val_total;

       $pega_val_total = $val_total;
   }



  foreach($antecipar as $id){

      

            $descri_val = 'R$ ' . number_format($pega_val_total,2,',','.');
 
            $descricao_obs = "Valor total das parcelas vinculadas .: " . $descri_val . "  Codigo do vinculo .: " . $cod_baixa;

            
          $vincula = mysqli_query($db, "UPDATE parcelas SET obs_parcela = '$descricao_obs' , vinculo = '$cod_baixa' , cab = '$cab' WHERE idparcelas = '$id'");
            $cab = 'B';



           
             
             





     }



     }else{

       include "conexao.php";

       $idparcelas = $_POST['antecipar'][0];

       $query = "SELECT vinculo FROM parcelas WHERE idparcelas = '$idparcelas'";
         
         // echo $query;

       $executa = mysqli_query($db, $query);

       $buscar_amigo = mysqli_fetch_assoc($executa);

       $vinc = $buscar_amigo['vinculo'];

       $parcelas_desvinculadas = juntarParcelaVinculo($vinc);


     //  echo $parcelas_desvinculadas . "recebi <br>";


       //echo "O VINCULO PEGADO FOI .: " . $vinc ; die();

         $retira_vinculo = mysqli_query($db, "UPDATE parcelas SET obs_parcela = '',  vinculo = '', cab = '' WHERE vinculo = '$vinc'");

     # code...


       
                # code...

            $descricao_log ="Usuário ".$nome_usuario." desvinculou as parcelas: ".$parcelas_desvinculadas." do lote: ".$lote." da quadra: ".$quadra." do empreendimento: ".$nome_empreendimento."<br><br>";  


        
         //echo $descricao_log; die();



          $executa_log = grava_log1($data_log,$idusuario,$descricao_log);

         




     }




?>
 <script type="text/javascript">window.location="parcelas.php?idvenda=<?php echo $venda_idvenda ?>&tipo=<?php echo $tipo_venda ?>"</script>

<?php } ?>           
  
7